%global momorel 7

Name:           perl-Catalyst-Controller-FormBuilder
Version:        0.05
Release:        %{momorel}m%{?dist}
Summary:        Catalyst FormBuilder Base Controller
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Controller-FormBuilder/
Source0:        http://www.cpan.org/authors/id/M/MS/MSTROUT/Catalyst-Controller-FormBuilder-%{version}.tar.gz
NoSource:       0
Patch0:		perl-Catalyst-Controller-FormBuilder-0.05-no-auto.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.7
BuildRequires:  perl-Catalyst-View-TT >= 0.23
BuildRequires:  perl-CGI-FormBuilder >= 3.02
BuildRequires:  perl-Class-Data-Inheritable >= 0.04
BuildRequires:  perl-Class-Inspector >= 1.13
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MRO-Compat >= 0.09
BuildRequires:  perl-Test-WWW-Mechanize-Catalyst >= 0.37
BuildRequires:  perl-Tie-IxHash >= 1.21
Requires:       perl-Catalyst-Runtime >= 5.7
Requires:       perl-Catalyst-View-TT >= 0.23
Requires:       perl-CGI-FormBuilder >= 3.02
Requires:       perl-Class-Data-Inheritable >= 0.04
Requires:       perl-Class-Inspector >= 1.13
Requires:       perl-MRO-Compat >= 0.09
Requires:       perl-Test-WWW-Mechanize-Catalyst >= 0.37
Requires:       perl-Tie-IxHash >= 1.21
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This base controller merges the functionality of CGI::FormBuilder with
Catalyst and the following templating systems: Template Toolkit, Mason and
HTML::Template. This gives you access to all of FormBuilder's niceties,
such as controllablefield stickiness, multilingual support, and Javascript
generation. For more details, see CGI::FormBuilder or the website at:

%prep
%setup -q -n Catalyst-Controller-FormBuilder-%{version}
%patch0 -p1

find . -type f -exec chmod -x -c {} +

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(TestApp.*)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-Controller-FormBuilder-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(FindBin)/d; /perl(Test::.*)/d'
EOF

%define __perl_requires %{_builddir}/Catalyst-Controller-FormBuilder-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Catalyst/Controller/FormBuilder
%{perl_vendorlib}/Catalyst/Controller/FormBuilder.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.05-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-5m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-2m)
- rebuild against perl-5.10.1

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
